com.sun.grid.jgdi.monitoring.filter

## Class ProjectFilter

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.filter.ProjectFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class ProjectFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectFilter()` Creates a new instance of ProjectFilter

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProject(java.lang.String prjName)`
    `int` | `getProjectCount()`
    `java.util.List<java.lang.String>` | `getProjectList()`
    `static ProjectFilter` | `parse(java.lang.String projectList)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectFilter

          public ProjectFilter()

      Creates a new instance of ProjectFilter

  - ### Method Detail

    - #### parse

          public static ProjectFilter parse(java.lang.String projectList)

    - #### addProject

          public void addProject(java.lang.String prjName)

    - #### getProjectList

          public java.util.List<java.lang.String> getProjectList()

    - #### getProjectCount

          public int getProjectCount()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.